Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.bibledesktop.desktop
Class DesktopActions

    java.lang.Object
      org.crosswire.bibledesktop.desktop.DesktopActions

    public class DesktopActions

extends Object

DesktopAction is nothing more than a holder of the behavior of the Desktop. It could easily be member methods in that class. It is here simply to simplify the Desktop class and minimize maintenance cost. Previously each of the "do" methods was a separate class.

Author:
  Joe Walker, DM Smith
See Also:
  `for license details.`

Nested Class Summary
`private static class` | `DesktopActions.ShowSideBarVisitor`

Field Summary
`private ActionFactory` | `actions` The factory for actions that this class works with
`private AboutPane` | `atp` The About window
`protected Desktop` | `desktop` The desktop on which these actions work
`protected static org.slf4j.Logger` | `log` The log stream
`private boolean` | `osxRegistered` Indicates whether there is MacOSX integration.
`private SitesPane` | `sites` The Book installer window

Constructor Summary
`DesktopActions(Desktop desktop)` Create the actions for the desktop

Method Summary
`void` | `doAbout()` For opening the About window
`void` | `doBack()` Go to previous passage.
`void` | `doBCVNum()`
`void` | `doBooks()` Opens the Book installer window (aka a SitesPane)
`void` | `doCompareToggle(ActionEvent ev)` Show differences between Bible Book versions.
`void` | `doContents()` For opening a help file.
`void` | `doCopy()` Copy the selected text from the "active" display area to the clipboard.
`void` | `doCVNum()`
`void` | `doExit()` Exits the VM.
`void` | `doForward()` Go to next passage.
`void` | `doHeadings(ActionEvent ev)`
`void` | `doMorph(ActionEvent ev)`
`void` | `doNotes(ActionEvent ev)`
`void` | `doNoVNum()`
`void` | `doOpen()` Open a new passage window from a file.
`void` | `doOptions()` Opens the Options window
`void` | `doSave()` Save the current passage window.
`void` | `doSaveAll()` Save all the passage windows.
`void` | `doSaveAs()` Save the current passage window under a new name.
`void` | `doSidebarToggle(ActionEvent ev)` Show large or small tool bar icons.
`void` | `doStatusToggle(ActionEvent ev)` Show large or small tool bar icons.
`void` | `doStrongs(ActionEvent ev)`
`void` | `doTinyVNum(ActionEvent ev)`
`void` | `doToolTipToggle(ActionEvent ev)` Show large or small tool bar icons.
`void` | `doViewSource()` View the HTML as interpreted by the current window.
`void` | `doVLine(ActionEvent ev)`
`void` | `doVNum()`
`void` | `doXRef(ActionEvent ev)`
`void` | `fixGnome()`
`ActionFactory` | `getActions()`
`Desktop` | `getDesktop()`
`SitesPane` | `getSites()`
`boolean` | `isOSXRegistered()` Determines whether MacOSX has been registered.
`boolean` | `macOSXRegistration()` Register the application with Apple EAWT, which provides support for the Application Menu, with About, Preferences (Options) and Quit (Exit).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### desktop

    protected Desktop desktop

  The desktop on which these actions work

### actions

    private ActionFactory actions

  The factory for actions that this class works with

### osxRegistered

    private boolean osxRegistered

  Indicates whether there is MacOSX integration.

### atp

    private AboutPane atp

  The About window

### sites

    private SitesPane sites

  The Book installer window

### log

    protected static final org.slf4j.Logger log

  The log stream

Constructor Detail

### DesktopActions

    public DesktopActions(Desktop desktop)

  Create the actions for the desktop

  Parameters:
    `desktop` - the desktop for which these actions apply

Method Detail

### getDesktop

    public Desktop getDesktop()

  Returns:
    the desktop to which these actions apply

### getActions

    public ActionFactory getActions()

  Returns:
    the action factory

### macOSXRegistration

    public boolean macOSXRegistration()

  Register the application with Apple EAWT, which provides support for the Application Menu, with About, Preferences (Options) and Quit (Exit).

  Returns:
    true on success

### fixGnome

    public void fixGnome()

### isOSXRegistered

    public boolean isOSXRegistered()

  Determines whether MacOSX has been registered.

  Returns:
    true when there is full MacOSX integration.

### getSites

    public SitesPane getSites()

  Returns:
    the Bible installer dialog

### doOpen

    public void doOpen()

  Open a new passage window from a file.

### doSave

    public void doSave()

  Save the current passage window.

### doSaveAs

    public void doSaveAs()

  Save the current passage window under a new name.

### doSaveAll

    public void doSaveAll()

  Save all the passage windows.

### doExit

    public void doExit()

  Exits the VM.

### doCopy

    public void doCopy()

  Copy the selected text from the "active" display area to the clipboard.

### doBack

    public void doBack()

  Go to previous passage.

### doForward

    public void doForward()

  Go to next passage.

### doStrongs

    public void doStrongs(ActionEvent ev)

### doMorph

    public void doMorph(ActionEvent ev)

### doVLine

    public void doVLine(ActionEvent ev)

### doVNum

    public void doVNum()

### doTinyVNum

    public void doTinyVNum(ActionEvent ev)

### doBCVNum

    public void doBCVNum()

### doCVNum

    public void doCVNum()

### doNoVNum

    public void doNoVNum()

### doCompareToggle

    public void doCompareToggle(ActionEvent ev)

  Show differences between Bible Book versions.

### doHeadings

    public void doHeadings(ActionEvent ev)

### doNotes

    public void doNotes(ActionEvent ev)

### doXRef

    public void doXRef(ActionEvent ev)

### doViewSource

    public void doViewSource()

  View the HTML as interpreted by the current window. This HTML will not return the styling present in the viewer. That is all class="" are stripped out. Also you may find additional whitespace added to the original.

### doBooks

    public void doBooks()

  Opens the Book installer window (aka a SitesPane)

### doOptions

    public void doOptions()

  Opens the Options window

### doContents

    public void doContents()

  For opening a help file.

### doAbout

    public void doAbout()

  For opening the About window

### doToolTipToggle

    public void doToolTipToggle(ActionEvent ev)

  Show large or small tool bar icons.

### doStatusToggle

    public void doStatusToggle(ActionEvent ev)

  Show large or small tool bar icons.

### doSidebarToggle

    public void doSidebarToggle(ActionEvent ev)

  Show large or small tool bar icons.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¨ 2003-2015
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD